# XClipper

![build](https://github.com/KaustubhPatange/XClipper/workflows/Windows%20CI/badge.svg)
![build](https://github.com/KaustubhPatange/XClipper/workflows/Android%20CI/badge.svg)
<a href="https://github.com/KaustubhPatange/XClipper/issues">![GitHub issues](https://img.shields.io/github/issues/KaustubhPatange/XClipper)</a>
<a href="https://github.com/KaustubhPatange/XClipper/discussions">![GitHub discussions](https://img.shields.io/github/discussions/KaustubhPatange/XClipper?color=%237289DA)</a>

**XClipper** is a clipboard manager for Windows & Android which helps to track clipboard activities and makes it easier to interact with them ❤️

<a href="https://kaustubhpatange.github.io/XClipper"><img width="120px" src="XClipper.Web/images/icon.png"/></a>

## Download

XClipper is currently available for the following platforms only.

|             |                                                    |
| ----------- | -------------------------------------------------- |
| **Windows** | [here](https://kaustubhpatange.github.io/XClipper) |
| **Android** | [here](/XClipper.Android)                          |

## Features

- Clean & **beautiful** UI.
- **Easier** to use and manage.
- Password Protection for Database, [learn more](https://kaustubhpatange.github.io/XClipper/docs/#/protect).
- Clipboard syncing between devices, [learn more](https://kaustubhpatange.github.io/XClipper/docs/#/sync).
- Multiple copy buffers, [learn more](https://kaustubhpatange.github.io/XClipper/docs/#/buffers).
- **Scripting**, [learn more](https://kaustubhpatange.github.io/XClipper/docs/#/scripting).
- Lot more... _but just leaving it here_.

## Tutorials

All of the individual documentation topics can be found in the [docs](https://kaustubhpatange.github.io/XClipper/docs), following are some general topics you should take a look at!

- [Getting started with XClipper](https://kaustubhpatange.github.io/XClipper/docs/#/introduction)
- [Start synchronizing clipboard activity](https://kaustubhpatange.github.io/XClipper/docs/#/sync)
- [FAQs](https://kaustubhpatange.github.io/XClipper/docs/#/faq)

## Discussions

[Discussions](https://github.com/KaustubhPatange/XClipper/discussions) is a place where you can ask anything like question, feature discussion, pre-bug reports or any topic of your choice as long as it is related to the project.

## Compilation Guide

Since this project involves **license** system some of the source files has been ignored. [Read this guide](https://kaustubhpatange.github.io/XClipper/docs/#/compile) in order to compile the project.

## Contributing

If you want to contribute to this project, you're always welcome! [See Contributing Guidelines](/CONTRIBUTING.md).

## Trademark

- All images & icons (except logo) are from [Icons8](https://icons8.com/).

## License

- [The Apache License Version 2.0](https://www.apache.org/licenses/LICENSE-2.0.txt)

```
Copyright 2020 Kaustubh Patange

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
